Index: phonelux-frontend/src/components/PhoneOfferDetailsComponent/PhoneOfferDetailsComponent.css
===================================================================
--- phonelux-frontend/src/components/PhoneOfferDetailsComponent/PhoneOfferDetailsComponent.css	(revision 48f3030e929e5d3717498b6e78a9813429162fde)
+++ phonelux-frontend/src/components/PhoneOfferDetailsComponent/PhoneOfferDetailsComponent.css	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -131,3 +131,13 @@
 }
 
+.offerdetails-show-all-specs-icon:hover{
+    cursor: pointer;
+}
 
+.offerdetails-show-all-specs-icon{
+    margin-left: 10px;
+    margin-right: 10px;
+}
+
+
+
Index: phonelux-frontend/src/components/PhoneOfferDetailsComponent/PhoneOfferDetailsComponent.js
===================================================================
--- phonelux-frontend/src/components/PhoneOfferDetailsComponent/PhoneOfferDetailsComponent.js	(revision 48f3030e929e5d3717498b6e78a9813429162fde)
+++ phonelux-frontend/src/components/PhoneOfferDetailsComponent/PhoneOfferDetailsComponent.js	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -7,4 +7,6 @@
 import { Link } from 'react-router-dom'
 import Tippy from '@tippyjs/react'
+import VisibilityIcon from '@mui/icons-material/Visibility';
+import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
 
 
@@ -16,5 +18,6 @@
       this.state = {
         offerId: window.location.href.split('/')[4],
-        offer: null
+        offer: null,
+        showAllSpecs: false
       }
     }
@@ -51,4 +54,11 @@
     }
 
+
+    changeShownSpecs = () => {
+      this.setState({
+          showAllSpecs: !this.state.showAllSpecs
+      })
+  }
+
   render() {
     console.log(this.state)
@@ -59,4 +69,15 @@
           <h3 className='phone-offer-details-last-updated-header'>Последно ажурирана: {this.state.offer == null || 
           this.state.offer.last_updated == null ? '#' : this.state.offer.last_updated.split('T')[0]}</h3>
+          {
+            localStorage.getItem('token') ? 
+            this.state.showAllSpecs ? 
+              <Tippy placement='bottom' content='Прикажи ги избраните спецификации'>
+                 <VisibilityOffIcon className='offerdetails-show-all-specs-icon' onClick={this.changeShownSpecs} style={{fontSize: '45px'}}/>
+              </Tippy> :
+              <Tippy placement='bottom' content='Прикажи ги сите спецификации'>
+                <VisibilityIcon className='offerdetails-show-all-specs-icon' onClick={this.changeShownSpecs} style={{fontSize: '45px'}}/>
+              </Tippy> : <></>
+          }
+
           {
             localStorage.getItem('token') && (this.context.role == 'ADMIN' || this.context.role == 'SUPERADMIN') ?
@@ -106,5 +127,6 @@
               this.state.offer.price == null ? '/' : this.state.offer.price+' ден.'}</td>
             </tr>
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Предна камера") ?
+            { this.state.showAllSpecs || 
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Предна камера") ?
             <tr className='phone-offer-details-table-row'>
               <td>Предна камера</td><td>{this.state.offer == null || 
@@ -113,5 +135,6 @@
             }
 
-             { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Задна камера") ?
+             { this.state.showAllSpecs || 
+             !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Задна камера") ?
             <tr className='phone-offer-details-table-row'>
               <td>Задна камера</td><td>{this.state.offer == null || 
@@ -120,5 +143,6 @@
             }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("РОМ меморија") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("РОМ меморија") ?
             <tr className='phone-offer-details-table-row'>
               <td>РОМ меморија</td><td>{this.state.offer == null || 
@@ -127,5 +151,6 @@
             }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("РАМ меморија") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("РАМ меморија") ?
             <tr className='phone-offer-details-table-row'>
               <td>РАМ меморија</td><td>{this.state.offer == null || 
@@ -134,5 +159,6 @@
             }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Оперативен систем") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Оперативен систем") ?
             <tr className='phone-offer-details-table-row'>
               <td>Оперативен систем</td><td>{this.state.offer == null || 
@@ -141,5 +167,6 @@
              }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Чипсет") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Чипсет") ?
             <tr className='phone-offer-details-table-row'>
               <td>Чипсет</td><td>{this.state.offer == null || 
@@ -148,5 +175,6 @@
             }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Процесор") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Процесор") ?
             <tr className='phone-offer-details-table-row'>
               <td>Процесор</td><td>{this.state.offer == null || 
@@ -155,5 +183,6 @@
             }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Батерија") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Батерија") ?
             <tr className='phone-offer-details-table-row'>
               <td>Батерија</td><td>{this.state.offer == null || 
@@ -162,5 +191,6 @@
             }
 
-            { !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Боја") ?
+            { this.state.showAllSpecs ||
+            !localStorage.getItem('pickedSpecifications') || localStorage.getItem('pickedSpecifications').includes("Боја") ?
             <tr className='phone-offer-details-table-row'>
               <td>Боја</td><td>{this.state.offer == null || 
